function data=readXlsFile(myFile,myPath)
%
%

nStr=['n1'; 'n2'; 'n3'; 'n4'; 'n5'; 'n0'];

if nargin<2, myPath='data\'; end
if nargin<1,
    %Get file and path from figure
    hd=findobj(gcf,'tag','directory');
    myPath=get(hd,'string');
    hf=findobj(gcf,'tag','filename');
    myFile=get(hf,'string');
end

%Read cvs file
data=readCsvFile([myPath myFile]);

% Read xls file
n=find(myFile=='.');
M=xlsread([myPath myFile(1:n-1) 'R.xls'],'Sheet1','A2:O200');
N=size(M,1);
for i=1:N,
    detectorType=M(i,1);
    well=M(i,2);
    data(detectorType).wellNr(well)=M(i,2);
    data(detectorType).data(well,:)=M(i,3:4);
    data(detectorType).param(well,:)=M(i,5:9);
    data(detectorType).n(well,:)=M(i,10:15); 
end


data(1).nStr=nStr;
data(2).nStr=nStr;

