function plotTamra(wellNr,temp,tamra,data,n,nStr,param)
%
% 
%

screen=get(0,'screenSize');
figPos=[
        0.05 0.51 0.45 0.4;
        0.51 0.51 0.45 0.4;
        0.05 0.1 0.45 0.36;
        0.51 0.1 0.45 0.3
        ];

figure(2)
set(gcf,'pos',figPos(2,:).*[screen(3) screen(4) screen(3) screen(4)])
title(['Well number ' int2str(wellNr)]);

if nargin<2, 
    cla;
    title(['Well number ' int2str(wellNr)]);
    return;
end
    
plot(temp,tamra,'--r');
if all(data==0),
    % no curve fitting
    GcTmCmd('status','No Tamra curve fitting possoble');
    return; 
end

hold on;
tfin=linspace(temp(n(4)),temp(end),50);
plot(tfin,gausfn(param,tfin));
text(temp(n(4)),tamra(n(4)),'\leftarrown4');
text(data(1),data(2),'\leftarrowMin');
text(param(2),gausfn(param,param(2)),'x');

str='abcdef';
for i=1:5,
    text(0.1,1-0.07*i,[str(i) '=' num2str(param(i),5.2)],'units','norm');
end
hold off
